//========================================
// menus.H
//
// The Menu Bar
//
// ZNibbles
// Vincent Mallet 1997, 1998 - vmallet@enst.fr
//========================================

// $Id: menus.H,v 1.3 1999/04/14 14:51:07 vmallet Exp $

/* ZNibbles - a small multiplayer game
 * Copyright (C) 1997, 1998, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __H_MENUS__
#define __H_MENUS__

#include "about.H"

class Menus {
public:
  Widget widget;

  Menus(void) : widget(0) { }

  void make(Widget main_w);

  void set_about(About *about) { this->about = about; }

  static void file_handler(Widget w, XtPointer client_data, XtPointer cbs);
  static void help_handler(Widget w, XtPointer client_data, XtPointer cbs);

private:
  Widget main_window;
  About *about;
}; // class Menus


#endif // __H_MENUS__
